/*
ChrispyChars Objects
	by Lach

v1.2
*/

local CC = ChrispyChars

// high five corona

CC.AddHook("MobjThinker", function(mo)
	local trans
	
	if leveltime & 1
		mo.frame = $ + FF_TRANS10
	end
	trans = mo.frame & FF_TRANSMASK
	if trans > FF_TRANS90
		P_RemoveMobj(mo)
		return
	end
	
	local beam = mo.tracer
	while CC.Valid(beam)
		local frame = beam.frame & FF_FRAMEMASK
		
		if leveltime & 1
			if (frame - B) % 4 == 0
				beam.extravalue1 = 1
			elseif (frame - B) % 4 == 3
				beam.extravalue1 = -1
			end
			
			frame = $ + beam.extravalue1
		end
		
		beam.rollangle = $ + beam.movedir
		beam.frame = $ & ~(FF_FRAMEMASK|FF_TRANSMASK) | frame | trans
		beam = $.tracer
	end
end, MT_CHRISPY_CORONA)