// these globals have had their names replaced
// I don't know of any mods that used them, but I wouldn't want to break anything that does in a minor version update
// expect this script to be disabled in ChrispyChars v2

local CC = ChrispyChars

// I decided I actually don't want deprecation prints, they'll just discourage people from adding support for ChrispyChars to anything
// but I'm leaving the code here because it was fun to make :)
/*
local deprecated = {}

local function PrintDeprecated(oldIndex, newIndex)
	if not deprecated[oldIndex]
		deprecated[oldIndex] = true
		CC.Print("\130WARNING:\128 \"".. oldIndex .. "\" is deprecated and will be removed in a future version of ChrispyChars. Use \"ChrispyChars." .. newIndex .. "\" instead.")
	end
end

local function Deprecate(oldIndex, newIndex)
	local newElement = CC[newIndex]
	local elementType = type(newElement)
	
	if elementType == "function"
		rawset(_G, oldIndex, function(...)
			PrintDeprecated(oldIndex, newIndex)
			return newElement(...)
		end)
	elseif elementType == "table"
		rawset(_G, oldIndex, setmetatable({}, {
			__index = function(_, key)
				PrintDeprecated(oldIndex, newIndex)
				return newElement[key]
			end
		}))
	else
		// not sure how to go about printing warnings for accessing constants
		rawset(_G, oldIndex, newElement)
	end
end
*/

local function Deprecate(oldIndex, newIndex)
	rawset(_G, oldIndex, CC[newIndex])
end

// tables
Deprecate("CC_WHEEL_EMOTES", "emotes")

// functions
Deprecate("SpawnChrispyDust", "SpawnDust")
Deprecate("CC_SpawnDustRing", "SpawnDustRing")

Deprecate("CC_QueueGhost", "QueueGhost")
Deprecate("CC_SpawnGhosts", "SpawnGhosts")