/*
ChrispyChars script loader
	by Lach

v1.2
*/

// load modules first - the other scripts are forced to assume they're loaded
// already, since it's possible for other addons to load them before we do
dofile("CC_NECK.lua")
dofile("CC_TRICKS.lua")
dofile("CC_DANCES.lua")

/*
I eventually want to move all constants, functions, etc. into this global
ChrispyChars table, but I don't really feel like doing all of that cleanup at
once. It'll happen gradually on an as-needed basis as the addon gets updates.
If you need something exposed that isn't, contact me and I'll throw it into the
next patch.
*/
rawset(_G, "ChrispyChars", {})

// load ChrispyChars-specific scripts
dofile("SOC.lua")
dofile("CHRISPYCHARS-HOOKS.lua")
dofile("CHRISPYCHARS-DEFS.lua")
dofile("CHRISPYCHARS-FUNCS.lua")
dofile("CHRISPYCHARS-NECKDEFS.lua")
dofile("CHRISPYCHARS-EMOTES.lua")
dofile("CHRISPYCHARS-OBJECTS.lua")
dofile("MENU.lua")
dofile("CHRISPYCHARS.lua")
dofile("POINTY-SONIC.lua")
dofile("FLUFFY-TAILS.lua")
dofile("GHOSTS.lua")
dofile("AI.lua")
dofile("BATTLE_POINTY.lua")
dofile("BATTLE_FLUFFY.lua")
dofile("BATTLE_LOADSKINS.lua")

// conditional scripts
if srb2p
	dofile("SRB2P.lua")
end

// temporary files
dofile("Deprecated.lua")